#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    long x1, y1, x2, y2, k;
    cin >> x1 >> y1 >> x2 >> y2;

    if (x1 != x2 && y1 != y2) {
        k = 1;
    }
    else if (x1 == x2 && y1 != y2 || x1 != x2 && y1 == y2) {
        k = 2;
    }

    cout << k;
}